org.apache.poi.hwpf.dev

## Class FieldIterator

- java.lang.Object
- - org.apache.poi.hwpf.dev.FieldIterator

-     @Internal
      public class FieldIterator
      extends java.lang.Object

  For iterating through our fields. Used during model classes autogeneration.

  Author:
    Glen Stampoultzis (glens at apache.org)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `offset`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FieldIterator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `calcSize(int fieldNumber, java.lang.String fieldName, java.lang.String size, java.lang.String type)`
    `java.lang.String` | `fillDecoder(java.lang.String size, java.lang.String type)`
    `java.lang.String` | `serialiseEncoder(int fieldNumber, java.lang.String fieldName, java.lang.String size, java.lang.String type)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### offset

          protected int offset

  - ### Constructor Detail

    - #### FieldIterator

          public FieldIterator()

  - ### Method Detail

    - #### calcSize

          public java.lang.String calcSize(int fieldNumber,
                                           java.lang.String fieldName,
                                           java.lang.String size,
                                           java.lang.String type)

    - #### fillDecoder

          public java.lang.String fillDecoder(java.lang.String size,
                                              java.lang.String type)

    - #### serialiseEncoder

          public java.lang.String serialiseEncoder(int fieldNumber,
                                                   java.lang.String fieldName,
                                                   java.lang.String size,
                                                   java.lang.String type)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.